Workaround for problem with BizTalk RFID and .NET 3.5 beta 2 installed on the same machine - Andreas Erben's posts - developers.de

Workaround for problem with BizTalk RFID and .NET 3.5 beta 2 installed on the same machine

If you install .NET framework 3.5 beta 2 on the same machine like Microsoft BizTalk RFID, then your RFID Services will not start anymore.

See: http://support.microsoft.com/kb/942521

The reason for this is that the installation of .NET framework 3.5 beta 2 does not leave the DLLs of .NET framework 3.0 alone, but replaces them, introducing at least one bug.

In this case, the System.Runtime.Serialization.dll is replaced, both in
%windir%\Microsoft.Net\Framework\v3.0\Windows Communication Foundation
and in the GAC.

To fix this, you need to retrieve an old version of the System.Runtime.Serialization.dll from a working installation of .NET framework 3.0 and register it in the GAC.
What you do NOT want is version 3.0.4506.590. What you want is for example version 3.0.4506.30. Note however, that this is completely unsupported and that you do this at your own risk and that their might be side effects and incompatibilities with other parts of the system.

Reminder: To install the correct copy in the GAC use this line:
gacutil /f /i System.Runtime.Serialization.dll

This will force an overwrite of the existing System.Runtime.Serialization.dll

You can find gacutil usually in:
%ProgramFiles%\Microsoft SDKs\Windows\6.0\bin\gacutil.exe
or if you installed the full SDK that comes with Visual Studio 2008 Beta 2, in
%ProgramFiles%\Microsoft SDKs\Windows\6.0\bin\gacutil.exe.

Good luck!


Posted Oct 03 2007, 08:44 PM by Andreas Erben
developers.de is a .Net Community Blog powered by daenet GmbH.